# -*- encoding: utf-8 -*-
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'password_rehasher'

Gem::Specification.new do |gem|
  gem.name          = "password_rehasher"
  gem.version       = PasswordRehasher::VERSION
  gem.authors       = ["John Hyland", "Polina Vorozheykina"]
  gem.email         = ["jhyland@newrelic.com", "pvorozheykina@newrelic.com"]
  gem.description   = %q{Temporary gem to rehash passwords to scrypt}
  gem.summary       = %q{Temporary gem to rehash passwords to scrypt}
  gem.homepage      = "https://source.datanerd.us/platform-services/password_rehasher"
  gem.license       = 'New Relic'

  gem.files         = `git ls-files`.split($/)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|spec|features)/})
  gem.require_paths = ["lib"]

  gem.add_runtime_dependency 'scrypt', '~> 2.0.2'

  gem.add_development_dependency 'rspec', '~> 3.3.0'
  gem.add_development_dependency 'pry'

end
